<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>footnote documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">footnote documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>LoginPage</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/pages/login/login.ts</code>
</p>

    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>Page for Login</p>

    </p>




<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>page-login</code></td>
            </tr>




            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>login.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#auth">auth</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#http">http</a>
                            </li>
                            <li>
                                <a href="#loading">loading</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#loadingCtrl">loadingCtrl</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#navCtrl">navCtrl</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#navParams">navParams</a>
                            </li>
                            <li>
                                <a href="#password">password</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#rest">rest</a>
                            </li>
                            <li>
                                <a href="#username">username</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ionViewDidEnter">ionViewDidEnter</a>
                            </li>
                            <li>
                                <a href="#login">login</a>
                            </li>
                            <li>
                                <a href="#register">register</a>
                            </li>
                            <li>
                                <a href="#showLoader">showLoader</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(navCtrl: NavController, navParams: NavParams, loadingCtrl: LoadingController, auth: <a href="../injectables/AuthProvider.html">AuthProvider</a>, rest: <a href="../injectables/RestProvider.html">RestProvider</a>, http: <a href="../injectables/HttpProvider.html">HttpProvider</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/pages/login/login.ts:19</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Konstruktor</p>
</div>
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>navCtrl</td>
                                                  
                                                        <td>
                                                                    <code>NavController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>navParams</td>
                                                  
                                                        <td>
                                                                    <code>NavParams</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>loadingCtrl</td>
                                                  
                                                        <td>
                                                                    <code>LoadingController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>auth</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthProvider.html" target="_self" >AuthProvider</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>rest</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/RestProvider.html" target="_self" >RestProvider</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>http</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpProvider.html" target="_self" >HttpProvider</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ionViewDidEnter"></a>
                        <span class="name">
                            <b>
                            ionViewDidEnter
                            </b>
                            <a href="#ionViewDidEnter"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ionViewDidEnter()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/pages/login/login.ts:38</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>View Did Enter</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="login"></a>
                        <span class="name">
                            <b>
                            login
                            </b>
                            <a href="#login"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>login()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="65" class="link-to-prism">src/pages/login/login.ts:65</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Login</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="register"></a>
                        <span class="name">
                            <b>
                            register
                            </b>
                            <a href="#register"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>register()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="100" class="link-to-prism">src/pages/login/login.ts:100</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Show Register Page</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="showLoader"></a>
                        <span class="name">
                            <b>
                            showLoader
                            </b>
                            <a href="#showLoader"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>showLoader()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="90" class="link-to-prism">src/pages/login/login.ts:90</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Show Spinner</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="auth"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            auth</b>
                            <a href="#auth"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../injectables/AuthProvider.html" target="_self" >AuthProvider</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/pages/login/login.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="http"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            http</b>
                            <a href="#http"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../injectables/HttpProvider.html" target="_self" >HttpProvider</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/pages/login/login.ts:32</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="loading"></a>
                        <span class="name">
                            <b>
                            loading</b>
                            <a href="#loading"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/pages/login/login.ts:17</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="loadingCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            loadingCtrl</b>
                            <a href="#loadingCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>LoadingController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/pages/login/login.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            navCtrl</b>
                            <a href="#navCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/pages/login/login.ts:30</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navParams"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            navParams</b>
                            <a href="#navParams"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavParams</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/pages/login/login.ts:30</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="password"></a>
                        <span class="name">
                            <b>
                            password</b>
                            <a href="#password"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>&quot;&quot;</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/pages/login/login.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="rest"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            rest</b>
                            <a href="#rest"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../injectables/RestProvider.html" target="_self" >RestProvider</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/pages/login/login.ts:32</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="username"></a>
                        <span class="name">
                            <b>
                            username</b>
                            <a href="#username"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>&quot;&quot;</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/pages/login/login.ts:18</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component } from &#x27;@angular/core&#x27;;
import { NavController, NavParams, LoadingController } from &#x27;ionic-angular&#x27;;
import { AuthProvider } from &#x27;../../providers/auth/auth&#x27;;
import { RegisterPage } from &#x27;../register/register&#x27;;
import { TabsPage } from &#x27;../tabs/tabs&#x27;;
import { RestProvider } from &#x27;../../providers/rest/rest&#x27;;
import { HttpProvider } from &#x27;../../providers/http/http&#x27;;

/**
 * Page for Login
 */
@Component({
    selector: &#x27;page-login&#x27;,
    templateUrl: &#x27;login.html&#x27;,
})
export class LoginPage {
    loading: any;
    username: string &#x3D; &quot;&quot;;
    password: string &#x3D; &quot;&quot;;

    /**
     * Konstruktor
     * @param navCtrl 
     * @param navParams 
     * @param loadingCtrl 
     * @param auth 
     * @param rest 
     * @param http 
     */
    constructor(public navCtrl: NavController, public navParams: NavParams,
        public loadingCtrl: LoadingController, public auth: AuthProvider,
        public rest: RestProvider, public http: HttpProvider) {
    }

    /**
     * View Did Enter
     */
    ionViewDidEnter() {
        this.showLoader();
        var token &#x3D; localStorage.getItem(&#x27;token&#x27;);

        if (typeof (token) !&#x3D;&#x3D; &#x27;undefined&#x27; &amp;&amp; token !&#x3D; null) {
            console.log(&quot;authenticating with token: &quot;, token);
            this.loading.dismiss();
            this.auth.reauthenticate(token).subscribe(data &#x3D;&gt; {
                if (data &#x3D;&#x3D; &quot;true&quot; || data &#x3D;&#x3D; true) {
                    // this.navCtrl.setRoot(TabsPage, { id: 0 });
                    this.navCtrl.insert(0, TabsPage, { id: 0 });
                    this.navCtrl.popToRoot();
                    this.http.presentToast(&quot;bereits eingeloggt&quot;);
                }
                else {
                    this.loading.dismiss();
                    this.http.presentToast(&quot;Token abgelaufen! Du musst dich erneut anmelden.&quot;);
                }
            });
        } else {
            this.loading.dismiss();
        }
    }

    /**
     * Login
     */
    login() {
        this.showLoader();
        this.rest.json().subscribe(data &#x3D;&gt; {
            console.log(data)
        });
        this.auth.login(this.username, this.password).subscribe(res &#x3D;&gt; {
            this.loading.dismiss();
            console.log(res);

            if (res !&#x3D; null &amp;&amp; res !&#x3D; &#x27;null&#x27;) {
                localStorage.setItem(&#x27;token&#x27;, res.token);
                localStorage.setItem(&#x27;id&#x27;, res.id);
                // this.navCtrl.setRoot(TabsPage, { id: 0 });
                this.navCtrl.insert(0, TabsPage, { id: 0 });
                this.navCtrl.popToRoot();
            }
            else {
                this.http.presentToast(&quot;Login fehlgeschlagen!&quot;)
            }
        });
    }

    /**
     * Show Spinner
     */
    showLoader() {
        this.loading &#x3D; this.loadingCtrl.create({
            content: &#x27;Authenticating...&#x27;
        });
        this.loading.present();
    }

    /**
     * Show Register Page
     */
    register() {
        this.navCtrl.setRoot(RegisterPage);
    }
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;ion-content padding class&#x3D;&quot;animated fadeIn login auth-page&quot;&gt;
  &lt;div class&#x3D;&quot;login-content&quot;&gt;
    &lt;ion-grid&gt;
      &lt;div padding-horizontal text-center class&#x3D;&quot;animated fadeInDown&quot;&gt;
        &lt;div class&#x3D;&quot;logo&quot;&gt;
          &lt;img src&#x3D;&quot;../../assets/imgs/logo.png&quot; height&#x3D;&quot;50px&quot;&gt;
        &lt;/div&gt;
        &lt;h2 ion-text class&#x3D;&quot;text-primary&quot;&gt;
          &lt;strong&gt;Footnote&lt;/strong&gt; Login
        &lt;/h2&gt;
      &lt;/div&gt;
      &lt;ion-row justify-content-center&gt;
        &lt;ion-col align-self-center size-md&#x3D;&quot;6&quot; size-lg&#x3D;&quot;5&quot; size-xs&#x3D;&quot;12&quot;&gt;
          &lt;form class&#x3D;&quot;list-form&quot; name&#x3D;&quot;login&quot;&gt;
            &lt;ion-item&gt;
              &lt;ion-label floating&gt;
                &lt;ion-icon name&#x3D;&quot;mail&quot; item-start class&#x3D;&quot;text-primary&quot;&gt;&lt;/ion-icon&gt;
                Email
              &lt;/ion-label&gt;
              &lt;ion-input name&#x3D;&quot;email&quot; type&#x3D;&quot;email&quot; [(ngModel)]&#x3D;&#x27;username&#x27;&gt;&lt;/ion-input&gt;
            &lt;/ion-item&gt;
            &lt;ion-item&gt;
              &lt;ion-label floating&gt;
                &lt;ion-icon name&#x3D;&quot;lock&quot; item-start class&#x3D;&quot;text-primary&quot;&gt;&lt;/ion-icon&gt;
                Passwort
              &lt;/ion-label&gt;
              &lt;ion-input name&#x3D;&quot;password&quot; type&#x3D;&quot;password&quot; [(ngModel)]&#x3D;&#x27;password&#x27;&gt;&lt;/ion-input&gt;
            &lt;/ion-item&gt;
          &lt;/form&gt;
          &lt;div&gt;
            &lt;button ion-button icon-start block color&#x3D;&quot;dark&quot; tappable (click)&#x3D;&quot;login()&quot;&gt;
              &lt;ion-icon name&#x3D;&quot;log-in&quot;&gt;&lt;/ion-icon&gt;
              einloggen
            &lt;/button&gt;
          &lt;/div&gt;

          &lt;div text-center margin-top&gt;
            &lt;span ion-text color&#x3D;&quot;primary&quot; tappable (click)&#x3D;&quot;register()&quot;&gt;Neu hier? &lt;strong&gt;registrieren&lt;/strong&gt;&lt;/span&gt;
          &lt;/div&gt;
        &lt;/ion-col&gt;
      &lt;/ion-row&gt;
    &lt;/ion-grid&gt;
  &lt;/div&gt;
&lt;/ion-content&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><ion-content padding class="animated fadeIn login auth-page">  <div class="login-content">    <ion-grid>      <div padding-horizontal text-center class="animated fadeInDown">        <div class="logo">          <img src="../../assets/imgs/logo.png" height="50px">        </div>        <h2 ion-text class="text-primary">          <strong>Footnote</strong> Login        </h2>      </div>      <ion-row justify-content-center>        <ion-col align-self-center size-md="6" size-lg="5" size-xs="12">          <form class="list-form" name="login">            <ion-item>              <ion-label floating>                <ion-icon name="mail" item-start class="text-primary"></ion-icon>                Email              </ion-label>              <ion-input name="email" type="email" [(ngModel)]=\'username\'></ion-input>            </ion-item>            <ion-item>              <ion-label floating>                <ion-icon name="lock" item-start class="text-primary"></ion-icon>                Passwort              </ion-label>              <ion-input name="password" type="password" [(ngModel)]=\'password\'></ion-input>            </ion-item>          </form>          <div>            <button ion-button icon-start block color="dark" tappable (click)="login()">              <ion-icon name="log-in"></ion-icon>              einloggen            </button>          </div>          <div text-center margin-top>            <span ion-text color="primary" tappable (click)="register()">Neu hier? <strong>registrieren</strong></span>          </div>        </ion-col>      </ion-row>    </ion-grid>  </div></ion-content></div>'
    var COMPONENTS = [{'name': 'AddInfoPage', 'selector': 'page-add-info'},{'name': 'AddObjectPage', 'selector': 'page-add-object'},{'name': 'ARViewPage', 'selector': 'page-ar-view'},{'name': 'CloudRecognitionPage', 'selector': 'page-cloud-recognition'},{'name': 'DetailPage', 'selector': 'page-detail'},{'name': 'DialogPage', 'selector': 'page-dialog'},{'name': 'FeedPage', 'selector': 'page-feed'},{'name': 'HomePage', 'selector': 'page-home'},{'name': 'LoginPage', 'selector': 'page-login'},{'name': 'MasterPage', 'selector': 'page-master'},{'name': 'MyApp', 'selector': ''},{'name': 'PlaceholderPage', 'selector': 'page-placeholder'},{'name': 'RegisterPage', 'selector': 'page-register'},{'name': 'TabsPage', 'selector': ''},{'name': 'UserGroupPage', 'selector': 'page-user-group'},{'name': 'UserGroupSplitPage', 'selector': 'page-user-group-split'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'LoginPage'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'LoginPage.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
